/*
 * @(#)src/classes/sov/java/util/jar/JavaUtilJarAccessImpl.java, util, asdev 1.5
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2010. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2009. All rights reserved.
 * ===========================================================================
 */


/*
 * ===========================================================================
 * Change activity:
 *
 * Reason   Date   Origin    Description
 * ------   ----   ------    ----------------------------------------------- 
 * 160260   110110 nmasson   Sun Security Bulletin 6742654
 *
 * ===========================================================================
 */

/*
 * @(#)JavaUtilJarAccessImpl.java	1.3 03/01/23
 *
 */

package java.util.jar;

import java.io.IOException;
import java.net.URL;
import java.util.Enumeration;
import java.util.List;
import java.util.jar.JarEntry;
import java.security.CodeSource;
import java.security.cert.Certificate;
import sun.misc.JavaUtilJarAccess;

class JavaUtilJarAccessImpl implements JavaUtilJarAccess {
    public boolean jarFileHasClassPathAttribute(JarFile jar) throws IOException {
        return jar.hasClassPathAttribute();
    }

    public CodeSource[] getCodeSources(JarFile jar, URL url) {
        return jar.getCodeSources(url);
    }

    public CodeSource getCodeSource(JarFile jar, URL url, String name) {
        return jar.getCodeSource(url, name);
    }

    public Enumeration<String> entryNames(JarFile jar, CodeSource[] cs) {
        return jar.entryNames(cs);
    }

    public Enumeration<JarEntry> entries2(JarFile jar) {
	return jar.entries2();
    }

    public void setEagerValidation(JarFile jar, boolean eager) {
	jar.setEagerValidation(eager);
    }

    public List getManifestDigests(JarFile jar) {
	return jar.getManifestDigests();
    }
}
